Webhooks: Get
Description
Retrieve a single case webhook by ID.
See the Get Cases API to learn more about cases.
Request
HTTP Method: GET
| Path Parameter | Description |
|---|---|
| id | The ID of the webhook to retrieve. |
curl -X GET \
https://<tenant-domain>/api/v1/case_webhooks/<<id>> \
-H 'content-type: application/json' \
-H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
Response
A successful request will return a JSON object representing the specified webhook.
Field description
| Parameter | Description |
|---|---|
| webhook | The webhook object. |
Webhook object fields
| Parameter | Description |
|---|---|
| id | The webhook ID. |
| name | The webhook name, or null if it has none. |
| url | The destination URL the webhook posts to. |
| version_number | The payload version (1.0 or 2.0). |
| notifications | An array of event types that trigger the webhook (or ["ALL"] for all). |
| team | The team the webhook belongs to. |
Team object fields
| Parameter | Description |
|---|---|
| id | The team ID. |
| name | The team name. |
Sample response
{
"webhook": {
"id": 1,
"name": "Case notifier",
"url": "https://example.com/webhook",
"version_number": 2.0,
"notifications": ["ALL"],
"team": {
"id": 10,
"name": "Security"
}
}
}